<?xml version="1.0" encoding="UTF-8"?>
<issues format="6" by="lint 8.13.2">

    <issue
        id="UseKtx"
        severity="Warning"
        message="Use the KTX extension function `String.toUri` instead?"
        category="Productivity"
        priority="6"
        summary="Use KTX extension function"
        explanation="The Android KTX libraries decorates the Android platform SDK as well as various libraries with more convenient extension functions available from Kotlin, allowing you to use default parameters, named parameters, and more."
        errorLine1="        intent.setData(Uri.parse(&quot;tel:$number&quot;))"
        errorLine2="                       ~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="/home/jenkins/.jenkins/workspace/fix-assignment-error-handling/respect-lib-shared/src/androidMain/kotlin/world/respect/shared/domain/phonenumber/OnClickPhoneNumberUseCaseAndroid.kt"
            line="14"
            column="24"/>
    </issue>

</issues>
